*{
    /*bloco de reset*/
    box-sizing: border-box;
}
body{
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #838383; /*cor em hexadecimal*/
    padding: 20px; /*alterei o padding 16/04*/
    border-radius: 50px;
}
header{
    background-color: #c0c0c0;/*cinza cocô kkkk */
    color: #ffff; /*branco em hexadecimal*/
    text-align: center;/*centraliza o texto*/
    border-radius: 50px;
}
nav a{ /*nav navigation a a, de link, vou trabalhar só no link*/
    color: purple;
    text-decoration: none; /*tirei toda a decoração do texto*/
    padding: 4px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;/*radius é a borda arredondada*/
    background-color: #cccc;
    border-bottom-color: #d8d;
}
nav a:hover{color: red;}
.bloco{ /*declaração de class, a class procede de "." */
    background-color: #cccc;
    color: black;
    border: 1px dotted #a3a3; /*borda geral tracejada*/
    border-radius: 6px;
    padding: 16px;
    margin-bottom: 16px;
    border-top: 2px solid #d8d; /*borda superior sólida*/
}
#galeria{ /* # significa id, onde coloca-se por ex.: id="galeria", só pode ter 1 com mesmo nome por página*/

    display: flex;
    flex-wrap: wrap;
    gap: 24px; /*espaço entre elementos dentro do id*/
    justify-content: center; /*centraliza horizontal*/ /*reforçando que ele vai estar "flexível"*/
    padding: 20px;

}
.foto{
    background: #ffffff;
    padding: 12px 12px 20px 12px; /*lat dir, esq, baixo e topo*/
    border: 1px solid #dddddd;
    box-shadow: 0 4px 10px #000000;
    width: 220px;/*largura*/
    text-align: center;/*alinhamento ao centro*/
    border-radius: 40px;
}

.foto img{
    width: 100%;
    height: 220px;
    object-fit: cover; /*efeito de sobrepor*/
    display: block;
    border-radius: 40px;
}
.foto:hover{
    transform: scale(2) rotate(5deg);
}
.legenda{
    margin-top: 10px;
    font-family: Courier New, Courier, 'monospace';
    font-size: 20px;
    font-style: italic;
}